Open CASCADE Technology: NCollection_BaseVector::Iterator Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Protected Member Functions | Protected Attributes
NCollection_BaseVector::Iterator Class Reference

Base class for Iterator implementation. More...

`#include <NCollection_BaseVector.hxx>`

Inheritance diagram for NCollection_BaseVector::Iterator:
[legend]

## Protected Member Functions
| Iterator ()
| Iterator (const NCollection_BaseVector &theVector, Standard_Boolean theToEnd=Standard_False)
| Iterator (const Iterator &theVector)
void | initV (const NCollection_BaseVector &theVector, Standard_Boolean theToEnd=Standard_False)
void | copyV (const Iterator &)
Standard_Boolean | moreV () const
void | nextV ()
void | prevV ()
void | offsetV (Standard_Integer theOffset)
Standard_Integer | differV (const Iterator &theOther) const
const MemBlock * | curBlockV () const

## Protected Attributes
const NCollection_BaseVector * | myVector
| the Master vector More...
Standard_Integer | myICurBlock
| # of the current block More...
Standard_Integer | myIEndBlock
Standard_Integer | myCurIndex
| Index in the current block. More...
Standard_Integer | myEndIndex

## Detailed Description

Base class for Iterator implementation.

## Constructor & Destructor Documentation

NCollection_BaseVector::Iterator::Iterator | ( |  | ) |
| inlineprotected

NCollection_BaseVector::Iterator::Iterator | ( | const NCollection_BaseVector & | theVector,
|  | Standard_Boolean | theToEnd = `Standard_False`
| ) |  |
| inlineprotected

NCollection_BaseVector::Iterator::Iterator | ( | const Iterator & | theVector | ) |
| inlineprotected

## Member Function Documentation

void NCollection_BaseVector::Iterator::copyV | ( | const Iterator & |  | ) |
| protected

const MemBlock* NCollection_BaseVector::Iterator::curBlockV | ( |  | ) | const
| inlineprotected

Standard_Integer NCollection_BaseVector::Iterator::differV | ( | const Iterator & | theOther | ) | const
| inlineprotected

void NCollection_BaseVector::Iterator::initV | ( | const NCollection_BaseVector & | theVector,
|  | Standard_Boolean | theToEnd = `Standard_False`
| ) |  |
| protected

Standard_Boolean NCollection_BaseVector::Iterator::moreV | ( |  | ) | const
| inlineprotected

void NCollection_BaseVector::Iterator::nextV | ( |  | ) |
| inlineprotected

void NCollection_BaseVector::Iterator::offsetV | ( | Standard_Integer | theOffset | ) |
| inlineprotected

void NCollection_BaseVector::Iterator::prevV | ( |  | ) |
| inlineprotected

## Field Documentation

Standard_Integer NCollection_BaseVector::Iterator::myCurIndex
| protected

Index in the current block.

Standard_Integer NCollection_BaseVector::Iterator::myEndIndex
| protected

Standard_Integer NCollection_BaseVector::Iterator::myICurBlock
| protected

# of the current block

Standard_Integer NCollection_BaseVector::Iterator::myIEndBlock
| protected

const NCollection_BaseVector* NCollection_BaseVector::Iterator::myVector
| protected

the Master vector

The documentation for this class was generated from the following file:

- NCollection_BaseVector.hxx